SUMO
Simulation of Urban MObility

- Home
- Download
- Documentation
- Wiki
- Trac
- Blog
- Contact
- SF-Project

# DFROUTER

# From 30.000 feet

DFROUTER uses induction loop values to compute vehicle routes that may be used by SUMO.

  Purpose: Building vehicle routes from induction loop counts
  System: portable (Linux/Windows is tested); runs on command line
  Input (mandatory):
    A) a road network as generated via NETCONVERT or NETGENERATE, see Building Networks
    B) induction loop definitions
    C) induction loop measures
  Output: Definition of Vehicles, Vehicle Types, and Routes usable by SUMO
  Programming Language: c++

# Usage Description

## Options

You may use a XML schema definition file for setting up a DFROUTER configuration: dfrouterConfiguration.xsd.

### Configuration

All applications of the SUMO-suite handle configuration options the same way. These options are discussed at Basics/Using the Command Line Applications#Configuration Files.

Option | Description
--- | ---
-c <FILE> --configuration-file <FILE> | Loads the named config on startup
--save-configuration <FILE> | Saves current configuration into FILE
--save-template <FILE> | Saves a configuration template (empty) into FILE
--save-schema <FILE> | Saves the configuration schema into FILE
--save-commented | Adds comments to saved template, configuration, or schema; default: false

### Input

Option | Description
--- | ---
-n <FILE> --net-file <FILE> | Loads the SUMO-network FILE
-d <FILE> --detector-files <FILE> | Loads detector descriptions from FILE
-f <FILE> --measure-files <FILE> | Loads detector flows from FILE(s)

### Output

Option | Description
--- | ---
-o <FILE> --routes-output <FILE> | Saves computed routes to FILE
--routes-for-all | Forces DFROUTER to compute routes for in-between detectors; default: false
--detector-output <FILE> | Saves typed detectors to FILE
--detectors-poi-output <FILE> | Saves detector positions as pois to FILE
--emitters-output <FILE> | Saves emitter definitions for source detectors to FILE
--emitters-poi-output <FILE> | Saves emitter positions as pois to FILE
--variable-speed-sign-output <FILE> | Saves variable seed sign definitions for sink detectors to FILE
--end-reroute-output <FILE> | Saves rerouter definitions for sink detectors to FILE
--validation-output <FILE> |
--validation-output.add-sources |

### Processing

Option | Description
--- | ---
--guess-empty-flows |
-h --highway-mode | Switches to highway-mode; default: false
--ignore-invalid-detectors | Only warn about unparseable detectors; default: false
--revalidate-detectors | Recomputes detector types even if given; default: false
--revalidate-routes | Recomputes routes even if given; default: false
--all-end-follower | Continues routes till the first street after a sink; default: false
--keep-unfinished-routes | Keeps routes even if they have exhausted max-search-depth; default: false
--keep-longer-routes | Keeps routes even if a shorter one exists; default: false
--max-search-depth <INT> | Number of edges to follow a route without passing a detector; default: 30
--emissions-only | Writes only emission times; default: false
--disallowed-edges <STRING> | Do not route on these edges
--keep-turnarounds | Allow turnarounds as route continuations; default: false
--min-route-length <FLOAT> | Minimum distance in meters between start and end node of every route.; default: -1
--time-factor <TIME> | Multiply flow times with TIME to get seconds; default: 60
--time-offset <TIME> | Subtracts TIME seconds from (scaled) flow times; default: 0
--time-step <TIME> | Expected distance between two successive data sets; default: 60
--calibrator-output | Write calibrators to FILE; default: false
--include-unused-routes |
--revalidate-flows |
--remove-empty-detectors | Removes empty detectors from the list; default: false
--strict-sources |
--scale <FLOAT> | Scale factor for flows; default: 1

### Time

Option | Description
--- | ---
-b <TIME> --begin <TIME> | Defines the begin time; Previous defs will be discarded; default: 0
-e <TIME> --end <TIME> | Defines the end time; Later defs will be discarded; Defaults to one day; default: 86400

### Report

All applications of the SUMO-suite handle most of the reporting options the same way. These options are discussed at Basics/Using the Command Line Applications#Reporting Options.

Option | Description
--- | ---
-v --verbose | Switches to verbose output; default: false
-p --print-options | Prints option values before processing; default: false
-? --help | Prints this screen
-V --version | Prints the current version; default: false
-W --no-warnings | Disables output of warnings; default: false
-l <FILE> --log <FILE> | Writes all messages to FILE
--message-log <FILE> | Writes all non-error messages to FILE
--error-log <FILE> | Writes all warnings and errors to FILE
--report-empty-detectors | Lists detectors with no flow (enable -v); default: false
--print-absolute-flows | Prints aggregated detector flows; default: false

### Random Number

All applications of the SUMO-suite handle randomisation options the same way. These options are discussed at Basics/Using the Command Line Applications#Random Number Options.

Option | Description
--- | ---
--random | Initialises the random number generator with the current system time; default: false
--seed <INT> | Initialises the random number generator with the given value; default: 23423

This page was last modified on 28 June 2012, at 07:51.